View Issue Details

IDProjectCategoryView StatusLast Update
0003653GNUnetutil librarypublic2019-02-28 11:17
ReporterChristian GrothoffAssigned ToFeideus 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0003653: when writing config file, try opening existing file 'rw' to avoid needing rwx on directory
DescriptionThis is particularly relevant for gnunet.conf, as we shouldn't need rwx on /etc/, but a user might setup /etc/gnunet.conf to be writable by gnunet-config or gnunet-setup.
Additional InformationThis was reported on help-gnunet by Calvin Heim on 5.2.2015.
TagsNo tags attached.

Activities

Christian Grothoff

2018-06-24 13:27

manager   ~0013067

In fact, fails silently!

gnunet-config -c file -o foo -s bar -V key -w

Issue History

Date Modified Username Field Change
2015-02-05 20:20 Christian Grothoff New Issue
2015-02-11 00:36 Christian Grothoff Priority normal => low
2015-02-11 00:36 Christian Grothoff Status new => acknowledged
2015-03-21 00:39 Christian Grothoff Target Version => 0.11.0
2018-06-24 13:27 Christian Grothoff Note Added: 0013067
2018-06-24 13:31 Feideus Assigned To => Feideus
2018-06-24 13:31 Feideus Status acknowledged => assigned
2018-06-25 11:04 Feideus Status assigned => resolved
2018-06-25 11:04 Feideus Resolution open => fixed
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed